> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/bulk-operations-api/files/download-via-pre-signed-url.md).

# Download via Pre-signed URL

Run the presigned download URL returned by Upload or Download File with `action=download`. In Postman, click **Save Response > Save to a file** to store the CSV locally.

```json
{"openapi":"3.1.0","info":{"title":"Bulk Operations API","version":"2.0.0"},"tags":[{"name":"Files"}],"servers":[{"url":"https://{responseFileUrl}","variables":{"responseFileUrl":{"default":"responseFileUrl","description":"The presigned download URL returned by Upload or Download File with `action=download`."}}}],"security":[],"paths":{"/":{"get":{"summary":"Download via Pre-signed URL","operationId":"download-via-presigned-url","tags":["Files"],"description":"Run the presigned download URL returned by Upload or Download File with `action=download`. In Postman, click **Save Response >\nSave to a file** to store the CSV locally.\n","responses":{"200":{"description":"Returns the response file."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/bulk-operations-api/files/download-via-pre-signed-url.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
